org.apache.ignite.internal.processors.cache.distributed.dht

## Class GridDhtAssignmentFetchFuture

- java.lang.Object
- - java.util.concurrent.locks.AbstractOwnableSynchronizer
  - - java.util.concurrent.locks.AbstractQueuedSynchronizer
    - - org.apache.ignite.internal.util.future.GridFutureAdapter<List<List<ClusterNode>>>
      - - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtAssignmentFetchFuture

All Implemented Interfaces:
  Serializable, IgniteInternalFuture<List<List<ClusterNode>>>

    public class GridDhtAssignmentFetchFuture
    extends GridFutureAdapter<List<List<ClusterNode>>>

Future that fetches affinity assignment from remote cache nodes.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.concurrent.locks.AbstractQueuedSynchronizer

`AbstractQueuedSynchronizer.ConditionObject`

### Constructor Summary

Constructors
Constructor and Description
`GridDhtAssignmentFetchFuture(GridCacheContext ctx, AffinityTopologyVersion topVer, Collection<ClusterNode> availableNodes)`

### Method Summary

Methods
`void` `init()` Initializes fetch future.
`boolean` `onDone(List<List<ClusterNode>> res, Throwable err)` Callback to notify that future is finished.
`void` `onNodeLeft(UUID leftNodeId)`
`void` `onResponse(ClusterNode node, GridDhtAffinityAssignmentResponse res)`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, duration, endTime, error, get, get, get, get0, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, onCancelled, onDone, onDone, onDone, result, startTime, toString, tryAcquireShared, tryReleaseShared`

### Methods inherited from class java.util.concurrent.locks.AbstractQueuedSynchronizer

`acquire, acquireInterruptibly, acquireShared, acquireSharedInterruptibly, compareAndSetState, getExclusiveQueuedThreads, getFirstQueuedThread, getQueuedThreads, getQueueLength, getSharedQueuedThreads, getState, getWaitingThreads, getWaitQueueLength, hasContended, hasQueuedPredecessors, hasQueuedThreads, hasWaiters, isHeldExclusively, isQueued, owns, release, releaseShared, setState, tryAcquire, tryAcquireNanos, tryAcquireSharedNanos, tryRelease`

### Methods inherited from class java.util.concurrent.locks.AbstractOwnableSynchronizer

`getExclusiveOwnerThread, setExclusiveOwnerThread`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridDhtAssignmentFetchFuture

    public GridDhtAssignmentFetchFuture(GridCacheContext ctx,
                                AffinityTopologyVersion topVer,
                                Collection<ClusterNode> availableNodes)

Parameters:
  `ctx` - Cache context.
  `availableNodes` - Available nodes.

### Method Detail

#### init

    public void init()

Initializes fetch future.

#### onResponse

    public void onResponse(ClusterNode node,
                  GridDhtAffinityAssignmentResponse res)

Parameters:
  `node` - Node.
  `res` - Response.

#### onNodeLeft

    public void onNodeLeft(UUID leftNodeId)

Parameters:
  `leftNodeId` - Left node ID.

#### onDone

    public boolean onDone(@Nullable
                 List<List<ClusterNode>> res,
                 @Nullable
                 Throwable err)

Callback to notify that future is finished. Note that if non-`null` exception is passed in the result value will be ignored.

Overrides:
  `onDone` in class `GridFutureAdapter<List<List<ClusterNode>>>`
Parameters:
  `res` - Optional result.
  `err` - Optional error.
Returns:
  `True` if result was set by this call.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015